Bug 465419 - ibus desktop files should not appear in the desktop menu
ibus desktop files should not appear in the desktop menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-03 04:19 EDT by Jens Petersen
Modified: 2008-10-28 04:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 04:11:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-10-03 04:19:31 EDT
Description of problem:
ibus.desktop and ibus-setup.desktop should not appear in the Desktop menu.
ibus should be started from im-chooser so we should hide those entries.

How reproducible:
entries

Steps to Reproduce:
1. yum install ibus
  
Actual results:
"Applications -> Accessories -> IBus" and
"System -> Configuration -> IBus Preferences" appear in GNOME menu.

Expected results:
ibus does not really need to appear in the menu for gnome or kde.

Additional info:
We don't put any scim desktop files in the in the menu either.
Comment 1 Peng Huang 2008-10-05 22:29:48 EDT
im-chooser is not exist in all Linux distributions, and ibus does not depend on im-chooser. So I think it is better to keep them.
Comment 2 Akira TAGOH 2008-10-05 23:02:31 EDT
I think we are talking about Fedora specific thing to make our Desktop better as it had filed against rawhide and not requesting to remove it from upstream archive.
Comment 3 Peng Huang 2008-10-05 23:18:21 EDT
I think those menu items are useful even if in fedora. I always restart ibus or configure ibus by those icons in start menu. So I think keeping them is not bad things. Why we must remove them?
Comment 4 Jens Petersen 2008-10-06 22:52:57 EDT
(In reply to comment #3)
> I think those menu items are useful even if in fedora. I always restart ibus or
> configure ibus by those icons in start menu. So I think keeping them is not bad
> things.

ibus-setup can be run from the ibus applet.

How about adding a restart menu entry in the ibus menu?

We are not positioning input methods as accessories: they are a core part of the desktop OS.

See eg bug 238966 for scim.

I recommend adding "NoDisplay=true" to the .desktop files: this is already down upstream for many packages, eg evince, etc.  Then people who really want them to appear can add them to their own menu with the menu-editor.

(BTW note also that in Fedora all .desktop files must be setup using desktop-file-utils:  see the packaging guidelines for desktop files.)
Comment 5 Peng Huang 2008-10-15 22:53:16 EDT
Fixed in ibus-0.1.1.20081016-1.fc10
Comment 6 Jens Petersen 2008-10-28 04:11:57 EDT
thanks

Note You need to log in before you can comment on or make changes to this bug.